:root {
    --dk-color: #bf776b;
    --mid-color: #f2b1a4;
    --lt-color: #ffe8e3;
    --dkest-color: #3b633d;
    --accent: #226051;
}



cloud frames .clouds {
    max-height: 50px;
    margin: -2vw 0 0vw 0;
    height: 100vw;

}

.clouds,
.cloudsq {
    position: fixed;
    inset: 0;

    background-image: url("clouds3.png");
    background-repeat: repeat-x;
    background-size: 20% auto;
    z-index: 0;
}

.cloudsq {
    position: fixed;
    background-size: 10% auto;
    transform: rotate(180deg);
    transform-origin: center;
}

.cloudsw {
    position: fixed;
    background-size: 15% auto;
    margin-left: auto;
    height: 100dvh;
    width: 100dvh;
    inset: 0;
    transform: rotate(90deg);
    background-image: url("clouds3.png");
    background-repeat: repeat-x;
    transform-origin: center;

}

.cloudse {
    position: fixed;
    background-size: 15% auto;
    margin-right: auto;
    height: 100dvh;
    width: 100dvh;
    inset: 0;
    transform: rotate(-90deg);
    background-image: url("clouds3.png");
    background-repeat: repeat-x;
    transform-origin: center;

}

@media (max-width: 500px) {
    .clouds {
        background-size: 15% auto;

    }

    .cloudsw {
        background-size: 5% auto;
    }

    .cloudse {
        background-size: 5% auto;
    }

    .frame {
        display: none;
    }
}

html,
body {
    margin: 0;
    padding-top: 25px;
    padding: 0;
    height: auto;
    /*not sure if 100% or auto */
    font-family: jaf-herb-condensed, serif;
    font-size: 16px;
    background-image: url('background-river-pix.gif');
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: bottom left;
    color: var(--dkest-color);
    padding: 1px;
}

body a {

    color: var(--accent);
    font-weight: bold;
}

.banner-img {
    background-image: url(vine4.gif);
    width: auto;
    height: 30%;
    background-repeat: repeat-x;
    background-position: center;
    padding: 0px;
    position: relative;
    z-index: 1;
    max-height: 25px;
}

ul.list li {
    padding-bottom: 5px;
}

#container {

    max-width: 900px;
    margin: 0 auto;
    height: auto;
    background-color: var(--lt-color);
    margin-top: 15px;

}

h1,
h3,
h5 {
    color: var(--dk-color);
}

h2,
h4,
h6 {
    color: var(--accent);
}

#header {
    position: relative;
    max-width: 1000px;
    aspect-ratio: 1000/250;
    height: auto;
    margin: 0 auto;
    text-align: center;
    margin-top: 15px;
    border: solid;
    background-image: url(header-art-pix.gif);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

/*#header img {
     position: absolute;
     left: 50%;
     top: 45%;
     width: 50%;
     transform: translate(-50%, -50%);
     width: 50%;
     height: auto;
     max-width: 500px;
     min-width: 200px;
     filter: drop-shadow(-5px 8px 2px #2f1002);
     
}*/

.navbar {
    background-image: url(Grunge-Paper-Texture-1.jpg);
    background-size: cover;
}

.navbar li a {
    text-decoration: none;
}

.navbar ul {
    list-style-type: none;
    padding: 0;
    padding-left: 20px;
    padding-right: 20px;
}

.navbar {

    background-color: var(--lt-color);
    max-width: 1000px;
    border: 1px solid var(--dkest-color);
    border-bottom: none;
    padding-top: 5px;
    padding-bottom: 5px;
    text-align: center;
}

.title {
    font-size: 35px;
    text-align: center;
    font-style: italic;
    color: var(--dkest-color);
}

.section-title {
    text-align: center;
    font-weight: bold;
    padding-top: 5px;
    padding-bottom: 5px;
    /*background-color:var(--mid-color);*/
    color: var(--dkest-color);
    font-size: 20px;
    border-bottom: 1px solid var(--dkest-color);

}

.wrapper {
    display: flex;
    flex-wrap: wrap;
    height: auto;
    width: 100%;
}

#left-sidebar {
    width: 197px;
    border: 1px solid var(--dkest-color);
    height: 100%;
    border-right: none;
    background-color: var(--lt-color);
    background-image: url(Grunge-Paper-Texture-1.jpg);
    background-size: cover;
}

.content {
    padding: 10px;

}

.main-content {
    /*background-image: url(background-pattern-1-repeat.jpg);*/
    border: 1px solid var(--dkest-color);
    width: 700px;
    height: auto;

}

.content img {
    display: block;
    max-width: 100%;
    margin: auto;
    border: solid 1px;

}

p {
    padding: 5px;
}

p a {
    color: var(--dkest-color);
    font-weight: bold;
}

.scroll::-webkit-scrollbar-track {
    background-color: var(--lt-color);

}

.scroll::-webkit-scrollbar {
    width: 10px;
    background-color: #f2b1a4;
}

.scroll::-webkit-scrollbar-thumb {
    background-color: var(--dk-color);
}

.navbar li {
    position: relative;
    display: inline-block;
}

.navbar a {
    text-decoration: none;
    display: block;
    color: var(--accent);
    margin-right: 15px;
    transition: 0.2s all linear;
    font-weight: bold;
    font-size: 20px;
    margin-right: 40px;

}

.navbar a:hover {
    background: var(--lt-color);
    color: var(--accent);
    transition: 0.2s all linear;
    z-index: 1;
}

.navbar li>ul {
    background: var(--mid-color);
    display: none;
    position: absolute;
    margin-left: 0;
    border: 1px solid var(--dkest-color);
}

.navbar li>ul a {
    padding-left: 0;
    padding-right: 0;
    padding-top: 5px;
    padding-bottom: 5px;
}

.navbar li>ul li {
    display: block;
}

.navbar li:hover>ul {
    display: block;
}

.navbar ul ul ul {
    position: absolute;
    left: 100%;
    top: 0;
}

ul.subitems {
    padding-left: 0;
    padding-right: 0;
    margin-right: 0;
}

ul.subitems li a {
    padding-right: 0;
    margin-right: 0;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 10px;
    display: block;
}

#footer {
    text-align: center;
    padding-top: 5px;
    margin-bottom: 5px;
}

#footer p {
    background-color: white;
    display: block;
    width: 160px;
    margin: 0 auto;
    margin-top: 5px;
    margin-bottom: 5px;
    padding: 5px;
}

textarea {
    background-color: var(--dkest-color);
    color: var(--lt-color);
    font-size: 16px;
}

.code-wrapper {
    display: flex;
    padding-left: 10px;
}

.main-content {
    width: 600px;
    border-right: none;
}

#right-sidebar {
    width: 197px;
    border: 1px solid var(--dkest-color);
    background-image: url(Grunge-Paper-Texture-1.jpg);
    background-size: cover;
}

#container {
    max-width: 1000px;
    background-image: url(Grunge-Paper-Texture-1.jpg);
    background-size: cover;
}

/* CHANGE BELOW TO max-width:1000px for TWO SIDEBARS. It is max-width:914px for ONE SIDEBAR */
@media only screen and (max-width: 1000px) {
    #left-sidebar {
        order: 2;
        width: 100%;
        border-right: 1px solid var(--dkest-color);
    }

    .main-content {
        order: 1;
        width: 100%;
        border-bottom: none;
        border-right: 1px solid var(--dkest-color);
    }

    .navbar a {
        padding-bottom: 10px;
    }

    #right-sidebar {
        width: 100%;
        order: 3;
        border-top: none;
    }

    #container {
        max-width: 1000px;
    }

    .main-content {}

}

marquee {
    font-size: 16px;
    color: var(--lt-color);
    text-align: center;
    display: block;
    width: 100%;
    height: 100px;
    ;
    max-width: 400px;
    min-width: 200px;
    margin: 10px auto;

}

/* Left and right frames*/
.framed-container {
    position: relative;
    max-width: 1000px;
    margin: 0 auto;
    background-color: #ab876d;
    background-image: url(Grunge-Paper-Texture-1.jpg);
    background-size: cover;
    overflow: hidden;
    filter: drop-shadow(0px 0px 10px #2f1002);

    padding-left: 30px;
    padding-right: 30px;

}

.framed-container::before,
.framed-container::after {
    border: solid 1px var(--dkest-color);
    ;
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    z-index: 1;

    width: 30px;
    max-width: 10%;

    background-image: url("frame-side-pix.gif");
    background-repeat: repeat-y;
    background-size: 100% auto;

}

.framed-container::before {
    left: 0;
}

.framed-container::after {
    right: 0;
    transform: scaleX(-1);
    /* mirrors the right side if needed */
}

/* main content frame */

.ornate-frame {
    border: 40px solid transparent;

    border-image-source: url("ornate-frame-pix.gif");

    /* Corner size in the source image */
    border-image-slice: 400;

    /* Border thickness on screen */
    border-image-width: 80px;

    /* How the edge sections scale */
    border-image-repeat: stretch;

    background: none;

    box-sizing: border-box;
}

.ornate-frame2 {
    border: 40px solid transparent;


    border-image-source: url("ornate-frame-pix.gif");

    /* Corner size in the source image */
    border-image-slice: 370;


    /* Border thickness on screen */
    border-image-width: 300px;

    /* How the edge sections scale */
    border-image-repeat: stretch;

    background: none;

    box-sizing: border-box;

    z-index: 100;

}

@media (max-width: 500px) {

    .ornate-frame2 {

        border-image-width: 150px;

    }

}

/* Heading frames */

.heading-frame {
    display: flex;
    margin: 0 auto;
}

.heading-frame-left {
    flex: 0 0 80px;
    height: auto;
    background-image: url("heading-frame-left.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: left;
}

.heading-frame-center {
    flex: 1;
    height: auto;
    background-image: url("heading-frame-center.png");
    background-repeat: repeat-x;
    background-size: auto 100%;
}

.heading-frame-right {
    flex: 0 0 80px;
    height: auto;
    background-image: url("heading-frame-right.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: right;
}